public class Variablen1 {
    public static void main(String[] args)
    {
        System.out.println("Beispielprogramm Variablen1!");
        int name1;
        name1=-9876; //-9876 ist eine literale Konstante
        System.out.println(name1);
        
        double name2=123.456; //123.456 ist eine literale Konstante
        System.out.println(name2);
        
        char einZeichen='a'; //'a' ist eine literale Konstante
        System.out.println(einZeichen);
        
        boolean schalter=false;//true/false ist eine literale Konstante
        System.out.println(schalter);
        
        //fremde Variablen benutzen
        byte maxByte=Byte.MAX_VALUE;
        System.out.println(maxByte);
        
        
        int var1=3;
        int var2=4;
        System.out.println(var1);
        System.out.println(var2);
        var2=var1;
        System.out.println(var1);
        System.out.println(var2);
    }
}

